polybori::CCommutativeCacheManagement< ManagerType, CacheType > Class Template Reference

`#include <CCacheManagement.h>`

Inheritance diagram for polybori::CCommutativeCacheManagement< ManagerType, CacheType >:

## Public Types

typedef CCacheManagement< manager_type, cache_type, 2 > | base
| Name base type. More...
typedef base::node_type | node_type
| Define node type. More...
typedef base::navigator | navigator
Get template parameters
typedef ManagerType | manager_type
typedef CacheType | cache_type
Public Types inherited from polybori::CCacheManagement< ManagerType, CacheType, 2 >
typedef CCacheManBase< manager_type, cache_type, nargs > | base
| Name base type. More...
typedef base::node_type | node_type
| Extracting inherited node type. More...
enum |
typedef ManagerType | manager_type
typedef manager_type::deg_type | deg_type
typedef manager_type::size_type | size_type
typedef manager_type::idx_type | idx_type
typedef CacheType | cache_type

## Public Member Functions

| CCommutativeCacheManagement (const typename base::manager_type &mgr)
| Constructor and default constructor. More...
node_type | find (node_type first, node_type second) const
| Find cached value wrt. given node. More...
navigator | find (navigator first, navigator second) const
| Find cached value wrt. given node (for navigator type) More...
void | insert (node_type first, node_type second, node_type result) const
| Store cached value wrt. given node. More...
void | insert (navigator first, navigator second, navigator result) const
| Store cached value wrt. given node (for navigator type) More...
Public Member Functions inherited from polybori::CCacheManagement< ManagerType, CacheType, 2 >
| CCacheManagement (const manager_type &mgr)
| Constructor and default constructor. More...

## Detailed Description

### template<class ManagerType, class CacheType>
class polybori::CCommutativeCacheManagement< ManagerType, CacheType >

This is the variant for cache management of binary commutative functions.

## Member Typedef Documentation

template<class ManagerType, class CacheType>

typedef CCacheManagement<manager_type, cache_type, 2> polybori::CCommutativeCacheManagement< ManagerType, CacheType >::base

Name base type.

template<class ManagerType, class CacheType>

typedef CacheType polybori::CCommutativeCacheManagement< ManagerType, CacheType >::cache_type

template<class ManagerType, class CacheType>

typedef ManagerType polybori::CCommutativeCacheManagement< ManagerType, CacheType >::manager_type

template<class ManagerType, class CacheType>

typedef base::navigator polybori::CCommutativeCacheManagement< ManagerType, CacheType >::navigator

template<class ManagerType, class CacheType>

typedef base::node_type polybori::CCommutativeCacheManagement< ManagerType, CacheType >::node_type

Define node type.

## Constructor & Destructor Documentation

template<class ManagerType, class CacheType>

polybori::CCommutativeCacheManagement< ManagerType, CacheType >::CCommutativeCacheManagement | ( | const typename base::manager_type & | mgr | ) |

inline

Constructor and default constructor.

## Member Function Documentation

template<class ManagerType, class CacheType>

node_type polybori::CCommutativeCacheManagement< ManagerType, CacheType >::find | ( | node_type | first,
|  | node_type | second
| ) |  | const

inline

Find cached value wrt. given node.

template<class ManagerType, class CacheType>

navigator polybori::CCommutativeCacheManagement< ManagerType, CacheType >::find | ( | navigator | first,
|  | navigator | second
| ) |  | const

inline

Find cached value wrt. given node (for navigator type)

template<class ManagerType, class CacheType>

void polybori::CCommutativeCacheManagement< ManagerType, CacheType >::insert | ( | node_type | first,
|  | node_type | second,
|  | node_type | result
| ) |  | const

inline

Store cached value wrt. given node.

template<class ManagerType, class CacheType>

void polybori::CCommutativeCacheManagement< ManagerType, CacheType >::insert | ( | navigator | first,
|  | navigator | second,
|  | navigator | result
| ) |  | const

inline

Store cached value wrt. given node (for navigator type)

The documentation for this class was generated from the following file:

- CCacheManagement.h